1 # Makefile.in generated by automake 1.15 from Makefile.am.
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
17 # Variables to be defined:
19 # TEST_VERBOSE - set to 0 (default) or 1 to control test suite verbosity
20 # TEST_PARALLEL - set to 1 (default) or N to control the parallel jobs
21 # TEST_ENV_VARS - environment variables to be set for the test suite
22 # TEST_COVERAGE - set to the perl module in charge of getting test coverage
23 # test_tmpdir - test suite temporary directory
24 # test_scripts - list of test case scripts
25 # test_programs - list of test case programs
26 # test_data - list of test data files
30 if test -z '$(MAKELEVEL)'; then \
32 elif test -n '$(MAKE_HOST)'; then \
34 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
40 am__make_running_with_option = \
41 case $${target_option-} in \
43 *) echo "am__make_running_with_option: internal error: invalid" \
44 "target option '$${target_option-}' specified" >&2; \
48 sane_makeflags=$$MAKEFLAGS; \
49 if $(am__is_gnu_make); then \
50 sane_makeflags=$$MFLAGS; \
55 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
56 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
62 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64 for flg in $$sane_makeflags; do \
65 test $$skip_next = yes && { skip_next=no; continue; }; \
68 -*I) strip_trailopt 'I'; skip_next=yes;; \
69 -*I?*) strip_trailopt 'I';; \
70 -*O) strip_trailopt 'O'; skip_next=yes;; \
71 -*O?*) strip_trailopt 'O';; \
72 -*l) strip_trailopt 'l'; skip_next=yes;; \
73 -*l?*) strip_trailopt 'l';; \
74 -[dEDm]) skip_next=yes;; \
75 -[JT]) skip_next=yes;; \
78 *$$target_option*) has_opt=yes; break;; \
82 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
83 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
84 pkgdatadir = $(datadir)/@PACKAGE@
85 pkgincludedir = $(includedir)/@PACKAGE@
86 pkglibdir = $(libdir)/@PACKAGE@
87 pkglibexecdir = $(libexecdir)/@PACKAGE@
88 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
89 install_sh_DATA = $(install_sh) -c -m 644
90 install_sh_PROGRAM = $(install_sh) -c
91 install_sh_SCRIPT = $(install_sh) -c
92 INSTALL_HEADER = $(INSTALL_DATA)
93 transform = $(program_transform_name)
100 build_triplet = @build@
101 host_triplet = @host@
102 bin_PROGRAMS = $(am__EXEEXT_1)
103 @BUILD_UPDATE_ALTERNATIVES_TRUE@am__append_1 = update-alternatives
104 sbin_PROGRAMS = $(am__EXEEXT_2)
105 @BUILD_START_STOP_DAEMON_TRUE@am__append_2 = start-stop-daemon
107 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
108 am__aclocal_m4_deps = $(top_srcdir)/m4/dpkg-arch.m4 \
109 $(top_srcdir)/m4/dpkg-build.m4 \
110 $(top_srcdir)/m4/dpkg-compiler.m4 \
111 $(top_srcdir)/m4/dpkg-coverage.m4 \
112 $(top_srcdir)/m4/dpkg-funcs.m4 $(top_srcdir)/m4/dpkg-libs.m4 \
113 $(top_srcdir)/m4/dpkg-linker.m4 $(top_srcdir)/m4/dpkg-progs.m4 \
114 $(top_srcdir)/m4/dpkg-types.m4 \
115 $(top_srcdir)/m4/dpkg-unicode.m4 $(top_srcdir)/m4/gettext.m4 \
116 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
117 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
118 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
119 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
120 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
121 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
122 $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
125 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
126 mkinstalldirs = $(install_sh) -d
127 CONFIG_HEADER = $(top_builddir)/config.h
129 CONFIG_CLEAN_VPATH_FILES =
130 @BUILD_UPDATE_ALTERNATIVES_TRUE@am__EXEEXT_1 = \
131 @BUILD_UPDATE_ALTERNATIVES_TRUE@ update-alternatives$(EXEEXT)
132 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)"
133 @BUILD_START_STOP_DAEMON_TRUE@am__EXEEXT_2 = \
134 @BUILD_START_STOP_DAEMON_TRUE@ start-stop-daemon$(EXEEXT)
135 PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
136 am__start_stop_daemon_SOURCES_DIST = start-stop-daemon.c
137 @BUILD_START_STOP_DAEMON_TRUE@am_start_stop_daemon_OBJECTS = \
138 @BUILD_START_STOP_DAEMON_TRUE@ start-stop-daemon.$(OBJEXT)
139 start_stop_daemon_OBJECTS = $(am_start_stop_daemon_OBJECTS)
141 @BUILD_START_STOP_DAEMON_TRUE@start_stop_daemon_DEPENDENCIES = \
142 @BUILD_START_STOP_DAEMON_TRUE@ ../lib/compat/libcompat.la \
143 @BUILD_START_STOP_DAEMON_TRUE@ $(am__DEPENDENCIES_1) \
144 @BUILD_START_STOP_DAEMON_TRUE@ $(am__DEPENDENCIES_1)
145 AM_V_lt = $(am__v_lt_@AM_V@)
146 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
147 am__v_lt_0 = --silent
149 am_update_alternatives_OBJECTS = \
150 update_alternatives-update-alternatives.$(OBJEXT)
151 update_alternatives_OBJECTS = $(am_update_alternatives_OBJECTS)
152 update_alternatives_DEPENDENCIES = ../lib/compat/libcompat.la \
153 $(am__DEPENDENCIES_1)
154 AM_V_P = $(am__v_P_@AM_V@)
155 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
158 AM_V_GEN = $(am__v_GEN_@AM_V@)
159 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
160 am__v_GEN_0 = @echo " GEN " $@;
162 AM_V_at = $(am__v_at_@AM_V@)
163 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
167 depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
168 am__depfiles_maybe = depfiles
170 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
171 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
172 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
173 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
174 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
175 $(AM_CFLAGS) $(CFLAGS)
176 AM_V_CC = $(am__v_CC_@AM_V@)
177 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
178 am__v_CC_0 = @echo " CC " $@;
181 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
182 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
183 $(AM_LDFLAGS) $(LDFLAGS) -o $@
184 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
185 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
186 am__v_CCLD_0 = @echo " CCLD " $@;
188 SOURCES = $(start_stop_daemon_SOURCES) $(update_alternatives_SOURCES)
189 DIST_SOURCES = $(am__start_stop_daemon_SOURCES_DIST) \
190 $(update_alternatives_SOURCES)
191 am__can_run_installinfo = \
192 case $$AM_UPDATE_INFO_DIR in \
194 *) (install-info --version) >/dev/null 2>&1;; \
196 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
197 # Read a list of newline-separated strings from the standard input,
198 # and print each of them once, without duplicates. Input order is
200 am__uniquify_input = $(AWK) '\
201 BEGIN { nonempty = 0; } \
202 { items[$$0] = 1; nonempty = 1; } \
203 END { if (nonempty) { for (i in items) print i; }; } \
205 # Make sure the list of sources is unique. This is necessary because,
206 # e.g., the same source file might be shared among _SOURCES variables
207 # for different programs/libraries.
208 am__define_uniq_tagged_files = \
209 list='$(am__tagged_files)'; \
210 unique=`for i in $$list; do \
211 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
212 done | $(am__uniquify_input)`
215 am__DIST_COMMON = $(srcdir)/Makefile.in \
216 $(top_srcdir)/build-aux/depcomp $(top_srcdir)/check.am
217 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
220 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOM4TE = @AUTOM4TE@
225 AUTOMAKE = @AUTOMAKE@
227 BUILD_DEVEL_DOCS = @BUILD_DEVEL_DOCS@
228 BZ2_LIBS = @BZ2_LIBS@
230 CCDEPMODE = @CCDEPMODE@
233 CPPFLAGS = @CPPFLAGS@
234 CURSES_LIBS = @CURSES_LIBS@
237 CXXDEPMODE = @CXXDEPMODE@
238 CXXFLAGS = @CXXFLAGS@
239 CYGPATH_W = @CYGPATH_W@
244 DSYMUTIL = @DSYMUTIL@
253 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
255 GMSGFMT_015 = @GMSGFMT_015@
257 HAVE_DOT = @HAVE_DOT@
259 INSTALL_DATA = @INSTALL_DATA@
260 INSTALL_PROGRAM = @INSTALL_PROGRAM@
261 INSTALL_SCRIPT = @INSTALL_SCRIPT@
262 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
263 INTLLIBS = @INTLLIBS@
264 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
265 KVM_LIBS = @KVM_LIBS@
267 LCOV_GENHTML = @LCOV_GENHTML@
270 LIBICONV = @LIBICONV@
277 LTLIBICONV = @LTLIBICONV@
278 LTLIBINTL = @LTLIBINTL@
279 LTLIBOBJS = @LTLIBOBJS@
280 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
281 LZMA_LIBS = @LZMA_LIBS@
282 MAKEINFO = @MAKEINFO@
283 MANIFEST_TOOL = @MANIFEST_TOOL@
287 MSGFMT_015 = @MSGFMT_015@
288 MSGMERGE = @MSGMERGE@
296 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
297 PACKAGE_COPYRIGHT_HOLDER = @PACKAGE_COPYRIGHT_HOLDER@
298 PACKAGE_NAME = @PACKAGE_NAME@
299 PACKAGE_RELEASE_DATE = @PACKAGE_RELEASE_DATE@
300 PACKAGE_STRING = @PACKAGE_STRING@
301 PACKAGE_TARNAME = @PACKAGE_TARNAME@
302 PACKAGE_URL = @PACKAGE_URL@
303 PACKAGE_VERSION = @PACKAGE_VERSION@
305 PATH_SEPARATOR = @PATH_SEPARATOR@
307 PERL_COVER = @PERL_COVER@
308 PERL_COVERAGE = @PERL_COVERAGE@
309 PERL_LIBDIR = @PERL_LIBDIR@
310 PKG_CONFIG = @PKG_CONFIG@
311 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
312 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
319 SELINUX_CFLAGS = @SELINUX_CFLAGS@
320 SELINUX_LIBS = @SELINUX_LIBS@
321 SET_MAKE = @SET_MAKE@
326 USE_PO4A = @USE_PO4A@
327 USE_UNICODE = @USE_UNICODE@
329 XGETTEXT = @XGETTEXT@
330 XGETTEXT_015 = @XGETTEXT_015@
331 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
333 abs_builddir = @abs_builddir@
334 abs_srcdir = @abs_srcdir@
335 abs_top_builddir = @abs_top_builddir@
336 abs_top_srcdir = @abs_top_srcdir@
337 ac_ct_AR = @ac_ct_AR@
338 ac_ct_CC = @ac_ct_CC@
339 ac_ct_CXX = @ac_ct_CXX@
340 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
341 admindir = @admindir@
342 am__include = @am__include@
343 am__leading_dot = @am__leading_dot@
344 am__quote = @am__quote@
346 am__untar = @am__untar@
349 build_alias = @build_alias@
350 build_cpu = @build_cpu@
351 build_os = @build_os@
352 build_vendor = @build_vendor@
353 builddir = @builddir@
355 datarootdir = @datarootdir@
356 devlibdir = @devlibdir@
359 exec_prefix = @exec_prefix@
361 host_alias = @host_alias@
362 host_cpu = @host_cpu@
364 host_vendor = @host_vendor@
366 includedir = @includedir@
368 install_sh = @install_sh@
370 libexecdir = @libexecdir@
371 localedir = $(datadir)/locale
372 localstatedir = @localstatedir@
376 oldincludedir = @oldincludedir@
378 pkgconfdir = @pkgconfdir@
380 program_transform_name = @program_transform_name@
382 runstatedir = @runstatedir@
384 sharedstatedir = @sharedstatedir@
386 sysconfdir = @sysconfdir@
387 target_alias = @target_alias@
388 top_build_prefix = @top_build_prefix@
389 top_builddir = @top_builddir@
390 top_srcdir = @top_srcdir@
392 -DADMINDIR=\"$(admindir)\" \
393 -DLOCALEDIR=\"$(localedir)\" \
394 -DLOGDIR=\"$(logdir)\" \
395 -DSYSCONFDIR=\"$(sysconfdir)\" \
396 -idirafter $(top_srcdir)/lib/compat \
401 README.alternatives \
405 update_alternatives_SOURCES = \
406 update-alternatives.c
408 update_alternatives_CPPFLAGS = \
409 -DALT_TMP_EXT=\".dpkg-tmp\" \
410 -DADMINDIR_ENVVAR=\"DPKG_ADMINDIR\" \
413 update_alternatives_LDADD = \
414 ../lib/compat/libcompat.la \
418 @BUILD_START_STOP_DAEMON_TRUE@start_stop_daemon_SOURCES = \
419 @BUILD_START_STOP_DAEMON_TRUE@ start-stop-daemon.c
421 @BUILD_START_STOP_DAEMON_TRUE@start_stop_daemon_LDADD = \
422 @BUILD_START_STOP_DAEMON_TRUE@ ../lib/compat/libcompat.la \
423 @BUILD_START_STOP_DAEMON_TRUE@ $(PS_LIBS) \
424 @BUILD_START_STOP_DAEMON_TRUE@ $(KVM_LIBS) \
425 @BUILD_START_STOP_DAEMON_TRUE@ $(nil)
427 TEST_ENV_VARS = DPKG_DATADIR=$(top_srcdir)/data
430 t/update_alternatives.t
433 my $$harness = TAP::Harness->new({ \
434 exec => sub { my (undef, $$test) = @_; \
435 return [ $$test ] if $$test !~ "\.t\$$" and -x $$test; \
437 lib => [ "$(top_srcdir)/scripts", "$(top_srcdir)/dselect/methods" ], \
439 verbosity => $(TEST_VERBOSE), \
440 jobs => $(TEST_PARALLEL), \
443 my $$aggregate = $$harness->runtests(@ARGV); \
444 die "FAIL: test suite has errors\n" if $$aggregate->has_errors;'
449 .SUFFIXES: .c .lo .o .obj
450 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(top_srcdir)/check.am $(am__configure_deps)
452 case '$(am__configure_deps)' in \
454 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
455 && { if test -f $@; then exit 0; else break; fi; }; \
459 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign utils/Makefile'; \
460 $(am__cd) $(top_srcdir) && \
461 $(AUTOMAKE) --foreign utils/Makefile
462 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
465 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
467 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
468 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
470 $(top_srcdir)/check.am $(am__empty):
472 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
473 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
475 $(top_srcdir)/configure: $(am__configure_deps)
476 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
477 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
478 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
479 $(am__aclocal_m4_deps):
480 install-binPROGRAMS: $(bin_PROGRAMS)
482 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
483 if test -n "$$list"; then \
484 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
485 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
487 for p in $$list; do echo "$$p $$p"; done | \
488 sed 's/$(EXEEXT)$$//' | \
489 while read p p1; do if test -f $$p \
491 ; then echo "$$p"; echo "$$p"; else :; fi; \
493 sed -e 'p;s,.*/,,;n;h' \
495 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
496 sed 'N;N;N;s,\n, ,g' | \
497 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
498 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
499 if ($$2 == $$4) files[d] = files[d] " " $$1; \
500 else { print "f", $$3 "/" $$4, $$1; } } \
501 END { for (d in files) print "f", d, files[d] }' | \
502 while read type dir files; do \
503 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
504 test -z "$$files" || { \
505 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
506 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
510 uninstall-binPROGRAMS:
512 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
513 files=`for p in $$list; do echo "$$p"; done | \
514 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
515 -e 's/$$/$(EXEEXT)/' \
517 test -n "$$list" || exit 0; \
518 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
519 cd "$(DESTDIR)$(bindir)" && rm -f $$files
522 @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
523 echo " rm -f" $$list; \
524 rm -f $$list || exit $$?; \
525 test -n "$(EXEEXT)" || exit 0; \
526 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
527 echo " rm -f" $$list; \
529 install-sbinPROGRAMS: $(sbin_PROGRAMS)
531 @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
532 if test -n "$$list"; then \
533 echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
534 $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
536 for p in $$list; do echo "$$p $$p"; done | \
537 sed 's/$(EXEEXT)$$//' | \
538 while read p p1; do if test -f $$p \
540 ; then echo "$$p"; echo "$$p"; else :; fi; \
542 sed -e 'p;s,.*/,,;n;h' \
544 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
545 sed 'N;N;N;s,\n, ,g' | \
546 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
547 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
548 if ($$2 == $$4) files[d] = files[d] " " $$1; \
549 else { print "f", $$3 "/" $$4, $$1; } } \
550 END { for (d in files) print "f", d, files[d] }' | \
551 while read type dir files; do \
552 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
553 test -z "$$files" || { \
554 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
555 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
559 uninstall-sbinPROGRAMS:
561 @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
562 files=`for p in $$list; do echo "$$p"; done | \
563 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
564 -e 's/$$/$(EXEEXT)/' \
566 test -n "$$list" || exit 0; \
567 echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
568 cd "$(DESTDIR)$(sbindir)" && rm -f $$files
571 @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
572 echo " rm -f" $$list; \
573 rm -f $$list || exit $$?; \
574 test -n "$(EXEEXT)" || exit 0; \
575 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
576 echo " rm -f" $$list; \
579 start-stop-daemon$(EXEEXT): $(start_stop_daemon_OBJECTS) $(start_stop_daemon_DEPENDENCIES) $(EXTRA_start_stop_daemon_DEPENDENCIES)
580 @rm -f start-stop-daemon$(EXEEXT)
581 $(AM_V_CCLD)$(LINK) $(start_stop_daemon_OBJECTS) $(start_stop_daemon_LDADD) $(LIBS)
583 update-alternatives$(EXEEXT): $(update_alternatives_OBJECTS) $(update_alternatives_DEPENDENCIES) $(EXTRA_update_alternatives_DEPENDENCIES)
584 @rm -f update-alternatives$(EXEEXT)
585 $(AM_V_CCLD)$(LINK) $(update_alternatives_OBJECTS) $(update_alternatives_LDADD) $(LIBS)
593 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/start-stop-daemon.Po@am__quote@
594 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/update_alternatives-update-alternatives.Po@am__quote@
597 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
598 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
599 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
600 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
601 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
604 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
605 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
606 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
607 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
608 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
611 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
612 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
613 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
614 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
615 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
617 update_alternatives-update-alternatives.o: update-alternatives.c
618 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT update_alternatives-update-alternatives.o -MD -MP -MF $(DEPDIR)/update_alternatives-update-alternatives.Tpo -c -o update_alternatives-update-alternatives.o `test -f 'update-alternatives.c' || echo '$(srcdir)/'`update-alternatives.c
619 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/update_alternatives-update-alternatives.Tpo $(DEPDIR)/update_alternatives-update-alternatives.Po
620 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='update-alternatives.c' object='update_alternatives-update-alternatives.o' libtool=no @AMDEPBACKSLASH@
621 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
622 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o update_alternatives-update-alternatives.o `test -f 'update-alternatives.c' || echo '$(srcdir)/'`update-alternatives.c
624 update_alternatives-update-alternatives.obj: update-alternatives.c
625 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT update_alternatives-update-alternatives.obj -MD -MP -MF $(DEPDIR)/update_alternatives-update-alternatives.Tpo -c -o update_alternatives-update-alternatives.obj `if test -f 'update-alternatives.c'; then $(CYGPATH_W) 'update-alternatives.c'; else $(CYGPATH_W) '$(srcdir)/update-alternatives.c'; fi`
626 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/update_alternatives-update-alternatives.Tpo $(DEPDIR)/update_alternatives-update-alternatives.Po
627 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='update-alternatives.c' object='update_alternatives-update-alternatives.obj' libtool=no @AMDEPBACKSLASH@
628 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
629 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o update_alternatives-update-alternatives.obj `if test -f 'update-alternatives.c'; then $(CYGPATH_W) 'update-alternatives.c'; else $(CYGPATH_W) '$(srcdir)/update-alternatives.c'; fi`
637 ID: $(am__tagged_files)
638 $(am__define_uniq_tagged_files); mkid -fID $$unique
642 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
645 $(am__define_uniq_tagged_files); \
647 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
648 test -n "$$unique" || unique=$$empty_fix; \
649 if test $$# -gt 0; then \
650 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
653 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
660 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
661 $(am__define_uniq_tagged_files); \
662 test -z "$(CTAGS_ARGS)$$unique" \
663 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
667 here=`$(am__cd) $(top_builddir) && pwd` \
668 && $(am__cd) $(top_srcdir) \
669 && gtags -i $(GTAGS_ARGS) "$$here"
670 cscopelist: cscopelist-am
672 cscopelist-am: $(am__tagged_files)
673 list='$(am__tagged_files)'; \
674 case "$(srcdir)" in \
675 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
676 *) sdir=$(subdir)/$(srcdir) ;; \
678 for i in $$list; do \
679 if test -f "$$i"; then \
680 echo "$(subdir)/$$i"; \
684 done >> $(top_builddir)/cscope.files
687 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
689 distdir: $(DISTFILES)
690 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
691 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
692 list='$(DISTFILES)'; \
693 dist_files=`for file in $$list; do echo $$file; done | \
694 sed -e "s|^$$srcdirstrip/||;t" \
695 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
696 case $$dist_files in \
697 */*) $(MKDIR_P) `echo "$$dist_files" | \
698 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
701 for file in $$dist_files; do \
702 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
703 if test -d $$d/$$file; then \
704 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
705 if test -d "$(distdir)/$$file"; then \
706 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
708 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
709 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
710 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
712 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
714 test -f "$(distdir)/$$file" \
715 || cp -p $$d/$$file "$(distdir)/$$file" \
720 $(MAKE) $(AM_MAKEFLAGS) check-local
722 all-am: Makefile $(PROGRAMS)
724 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)"; do \
725 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
728 install-exec: install-exec-am
729 install-data: install-data-am
730 uninstall: uninstall-am
733 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
735 installcheck: installcheck-am
737 if test -z '$(STRIP)'; then \
738 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
739 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
742 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
743 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
744 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
751 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
752 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
754 maintainer-clean-generic:
755 @echo "This command is intended for maintainers to use"
756 @echo "it deletes files that may require special tools to rebuild."
759 clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
760 clean-sbinPROGRAMS mostlyclean-am
762 distclean: distclean-am
765 distclean-am: clean-am distclean-compile distclean-generic \
780 install-data-am: install-data-local
782 install-dvi: install-dvi-am
786 install-exec-am: install-binPROGRAMS install-sbinPROGRAMS
788 install-html: install-html-am
792 install-info: install-info-am
798 install-pdf: install-pdf-am
802 install-ps: install-ps-am
808 maintainer-clean: maintainer-clean-am
811 maintainer-clean-am: distclean-am maintainer-clean-generic
813 mostlyclean: mostlyclean-am
815 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
826 uninstall-am: uninstall-binPROGRAMS uninstall-local \
827 uninstall-sbinPROGRAMS
829 .MAKE: check-am install-am install-strip
831 .PHONY: CTAGS GTAGS TAGS all all-am check check-am check-local clean \
832 clean-binPROGRAMS clean-generic clean-libtool clean-local \
833 clean-sbinPROGRAMS cscopelist-am ctags ctags-am distclean \
834 distclean-compile distclean-generic distclean-libtool \
835 distclean-tags distdir dvi dvi-am html html-am info info-am \
836 install install-am install-binPROGRAMS install-data \
837 install-data-am install-data-local install-dvi install-dvi-am \
838 install-exec install-exec-am install-html install-html-am \
839 install-info install-info-am install-man install-pdf \
840 install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
841 install-strip installcheck installcheck-am installdirs \
842 maintainer-clean maintainer-clean-generic mostlyclean \
843 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
844 pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
845 uninstall-binPROGRAMS uninstall-local uninstall-sbinPROGRAMS
851 @BUILD_UPDATE_ALTERNATIVES_TRUE@ $(MKDIR_P) $(DESTDIR)$(sysconfdir)/alternatives
852 @BUILD_UPDATE_ALTERNATIVES_TRUE@ $(MKDIR_P) $(DESTDIR)$(admindir)/alternatives
853 @BUILD_UPDATE_ALTERNATIVES_TRUE@ $(INSTALL_DATA) $(srcdir)/README.alternatives $(DESTDIR)$(sysconfdir)/alternatives/README
856 rm -f $(DESTDIR)$(sysconfdir)/alternatives/README
862 [ -z "$(test_tmpdir)" ] || rm -fr $(test_tmpdir)
864 check-local: $(test_data) $(test_programs) $(test_scripts)
865 [ -z "$(test_tmpdir)" ] || $(MKDIR_P) $(test_tmpdir)
866 PATH="$(abs_top_builddir)/src:$(abs_top_builddir)/scripts:$(abs_top_builddir)/utils:$(PATH)" \
870 srcdir=$(srcdir) builddir=$(builddir) \
874 PERL5LIB=$(abs_top_srcdir)/scripts:$(abs_top_srcdir)/dselect/methods \
875 PERL5OPT=$(TEST_COVERAGE) \
876 $(PERL) -MTAP::Harness -e $(TEST_RUNNER) \
877 $(addprefix $(builddir)/,$(test_programs)) \
878 $(addprefix $(srcdir)/,$(test_scripts))
880 clean-local: check-clean
882 # Tell versions [3.59,3.63) of GNU make to not export all variables.
883 # Otherwise a system limit (for SysV at least) may be exceeded.